STRUCT REGULATOR_STA(9)

NAME
struct_regulator_state - regulator state during low power system states

SYNOPSIS

struct regulator_state {
  int uV;
  unsigned int mode;
  int enabled;
  int disabled;
};

MEMBERS

uV
    Operating voltage during suspend.

mode
    Operating mode during suspend.

enabled
    Enabled during suspend.

disabled
    Disabled during suspend.

DESCRIPTION

This describes a regulators state during a system wide low power state. One of enabled or disabled must be set for the configuration to be applied.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT